## numptyphysics 0.2+svn157

=== Box2D/Makefile ===
PATCH=	box2d_fixed.patch

all:
	(cd Contrib/freeglut; make)
	(cd Contrib/glui; make)
	(cd Source; make)
	(cd Examples/TestBed; make)

clean:
	(cd Contrib/freeglut; make clean)
	(cd Contrib/glui; make clean)
	(cd Source; make clean)
	(cd Examples/TestBed; make clean)

patch:
	svn diff > $(PATCH)
#	- diff --unified /dev/null Makefile >> $(PATCH)
#	- diff --unified /dev/null Documentation/latex/Makefile >> $(PATCH)
#	- diff --unified /dev/null Contrib/freeglut/Makefile >> $(PATCH)
#	- diff --unified /dev/null Contrib/glui/Makefile >> $(PATCH)
#	- diff --unified /dev/null Source/Makefile >> $(PATCH)
#	- diff --unified /dev/null Examples/TestBed/Makefile >> $(PATCH)
#	- diff --unified /dev/null Source/Common/Fixed.h >> $(PATCH)
#	- diff --unified /dev/null Source/Common/jtypes.h >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Polygon.cpp >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Polygon.h >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Triangle.cpp >> $(PATCH)
#	- diff --unified /dev/null Source/Contrib/b2Triangle.h >> $(PATCH)

=== Box2D/Source/Makefile ===
TARGETS= Gen/float/libbox2d.a Gen/fixed/libbox2d.a

ifdef DEVKITPRO
TARGETS += Gen/nds-float/lib/libbox2d.a Gen/nds-fixed/lib/libbox2d.a
endif

CXXFLAGS=	-g -O2

SOURCES = \
	./Dynamics/b2Body.cpp \
	./Dynamics/b2Island.cpp \
	./Dynamics/b2World.cpp \
	./Dynamics/b2ContactManager.cpp \
	./Dynamics/Contacts/b2Contact.cpp \
	./Dynamics/Contacts/b2PolyContact.cpp \
	./Dynamics/Contacts/b2CircleContact.cpp \
	./Dynamics/Contacts/b2PolyAndCircleContact.cpp \
	./Dynamics/Contacts/b2ContactSolver.cpp \
	./Dynamics/b2WorldCallbacks.cpp \
	./Dynamics/Joints/b2MouseJoint.cpp \
	./Dynamics/Joints/b2PulleyJoint.cpp \
	./Dynamics/Joints/b2Joint.cpp \
	./Dynamics/Joints/b2RevoluteJoint.cpp \
	./Dynamics/Joints/b2PrismaticJoint.cpp \
	./Dynamics/Joints/b2DistanceJoint.cpp \
	./Dynamics/Joints/b2GearJoint.cpp \
	./Common/b2StackAllocator.cpp \
	./Common/b2Math.cpp \
	./Common/b2BlockAllocator.cpp \
	./Common/b2Settings.cpp \
	./Collision/b2Collision.cpp \
	./Collision/b2Distance.cpp \
	./Collision/Shapes/b2Shape.cpp \
	./Collision/Shapes/b2CircleShape.cpp \
	./Collision/Shapes/b2PolygonShape.cpp \
	./Collision/b2TimeOfImpact.cpp \
	./Collision/b2PairManager.cpp \
	./Collision/b2CollidePoly.cpp \
	./Collision/b2CollideCircle.cpp \
	./Collision/b2BroadPhase.cpp 
#	./Contrib/b2Polygon.cpp \
#	./Contrib/b2Triangle.cpp


ifneq ($(INCLUDE_DEPENDENCIES),yes)

all:	
	@make --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)

.PHONY:	clean
clean:
	rm -rf Gen

else

-include $(addprefix Gen/float/,$(SOURCES:.cpp=.d))
-include $(addprefix Gen/fixed/,$(SOURCES:.cpp=.d))

ifdef DEVKITPRO
-include $(addprefix Gen/nds-fixed/,$(SOURCES:.cpp=.d))
-include $(addprefix Gen/nds-float/,$(SOURCES:.cpp=.d))
endif

endif

Gen/float/%.o:		%.cpp
	@mkdir -p $(dir $@)
	c++ $(CXXFLAGS) -c -o $@ $<


Gen/float/libbox2d.a:	$(addprefix Gen/float/,$(SOURCES:.cpp=.o))
	ar cr $@ $^
	ranlib $@ 

Gen/float/%.d:		%.cpp
	@mkdir -p $(dir $@)
	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<


Gen/fixed/%.o:		%.cpp
	@mkdir -p $(dir $@)
	c++ $(CXXFLAGS) -DTARGET_FLOAT32_IS_FIXED -c -o $@ $<


Gen/fixed/libbox2d.a:	$(addprefix Gen/fixed/,$(SOURCES:.cpp=.o)) 
	ar cr $@ $^
	ranlib $@ 


Gen/fixed/%.d:		%.cpp
	@mkdir -p $(dir $@)
	c++ -MM -MT $(@:.d=.o) $(CXXFLAGS) -DTARGET_FLOAT32_IS_FIXED -o $@ $<



NDS_COMPILE_FLAGS= -g -O2 -fomit-frame-pointer -ffast-math \
		-march=armv5te -mtune=arm946e-s -mthumb-interwork \
		-DARM9 -fno-rtti -fno-exceptions -c \
		-DTARGET_IS_NDS \
		-I$(DEVKITPRO)/libnds/include 


Gen/nds-fixed/%.o:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ $(NDS_COMPILE_FLAGS) -DTARGET_FLOAT32_IS_FIXED -o $@ $<

Gen/nds-fixed/lib/libbox2d.a:	$(addprefix Gen/nds-fixed/,$(SOURCES:.cpp=.o)) 
	@mkdir -p $(dir $@)
	arm-eabi-ar cr $@ $^
	arm-eabi-ranlib $@ 

Gen/nds-fixed/%.d:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ -MM -MT $(@:.d=.o) $(NDS_COMPILE_FLAGS) \
		-DTARGET_FLOAT32_IS_FIXED -o $@ $<



Gen/nds-float/%.o:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ $(NDS_COMPILE_FLAGS) -o $@ $<

Gen/nds-float/lib/libbox2d.a:	$(addprefix Gen/nds-float/,$(SOURCES:.cpp=.o))
	@mkdir -p $(dir $@)
	arm-eabi-ar cr $@ $^
	arm-eabi-ranlib $@ 


Gen/nds-float/%.d:		%.cpp
	@mkdir -p $(dir $@) 
	arm-eabi-g++ -MM -MT $(@:.d=.o) $(NDS_COMPILE_FLAGS) -o $@ $<

## numptyphysics 0.2%2Bsvn157

=== debian/control ===
Source: numptyphysics
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Leo Costela <costela@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 imagemagick,
 libfontconfig1-dev,
 libsdl-image1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 pkg-config
Build-Conflicts:
 autoconf2.13,
 automake1.4
Standards-Version: 3.9.5
Homepage: http://numptyphysics.garage.maemo.org/

Package: numptyphysics
Architecture: any
Depends:
 ttf-femkeklaver,
 ${misc:Depends},
 ${shlibs:Depends}
Description: crayon based physics puzzle game
 Numpty Physics is a drawing puzzle game in the spirit (and style?) of
 Crayon Physics using the same excellent Box2D engine. It melds cute
 schoolbook-style graphics with a kind of realistic physics engine.
 .
 It includes a built-in editor so that you may build (and submit) your
 own levels.

## numptyphysics 0.2+svn156

=== debian/changelog ===
numptyphysics (0.2+svn156-1) unstable; urgency=low

  * new svn checkout
  * debian/patches: refreshed all
  * debian/control: policy bump to 3.8.4 (no changes)

 -- Leo Costela <costela@debian.org>  Sun, 20 Jun 2010 15:02:21 +0200

numptyphysics (0.2+svn149-1) unstable; urgency=low

  [Leo 'costela' Antunes]
  * first debian upload (closes: #496586)
  * patched to use fontconfig, if available
  
  [Gabriele Giacone]
  * debian/numptyphysics.6: manpage based on site
  * debian/clean

 -- Leo Costela <costela@debian.org>  Sun, 10 Jan 2010 16:42:57 +0100

=== debian/control ===
Source: numptyphysics
Section: games
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev, libsdl-image1.2-dev, 
 libsdl-ttf2.0-dev, libbox2d-dev, autotools-dev, pkg-config, automake,
 libfontconfig1-dev,
# libhildon-1-dev,
# libosso-dev, libdbus-1-dev, mce-dev, osso-af-settings
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.8.4
Homepage: http://numptyphysics.garage.maemo.org/

Package: numptyphysics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-femkeklaver
Description: crayon based physics puzzle game
 Numpty Physics is a drawing puzzle game in the spirit (and style?) of 
 Crayon Physics using the same excellent Box2D engine.  It melds cute 
 schoolbook-style graphics with a kind of realistic physics engine.
 .
 It includes a built-in editor so that you may build (and submit) your 
 own levels.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# stuff from old build-system. Still needed? (costela 2009-12-30)
#ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
#	CPPFLAGS += -fomit-frame-pointer
#	CPPFLAGS += -ffast-math
#	CPPFLAGS += -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp
#endif


%:
	dh $@

override_dh_auto_configure:
	autoreconf
	dh_auto_configure -- --bindir=\$${prefix}/games

#override_dh_installchangelogs:
#	dh_installchangelogs NEWS

## numptyphysics 0.2+svn157

=== debian/changelog ===
numptyphysics (0.2+svn157-0.4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:50 +0100

numptyphysics (0.2+svn157-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Replace dependency of ttf-femkeklaver with
      fonts-femkeklaver. (Closes: #805601)
    + Bump Standards-Version to 4.4.1.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Nov 2019 19:13:42 -0500

numptyphysics (0.2+svn157-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add double-free-corruption.patch.
    - Remove valgrind error "Source and destination overlap in
      memcpy(0xf121b90, 0xf121b98, 944)".
    - Fix double free or corruption bug. (Closes: #749025)
    - Thanks to Dima Kogan for the report and Steven M. Robbins
      for the patch.

 -- Markus Koschany <apo@gambaru.de>  Mon, 02 Jun 2014 21:55:31 +0200

numptyphysics (0.2+svn157-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop use_system_libbox2d.patch and remove build-dependency on libbox2d-dev.
    - Numptyphysics FTBFS with the latest version of Box2D 2.3.0. Fall back to
      the embedded copy of Box2D. (Closes: #735879)
  * Rebase use_fontconfig.patch.
  * Drop autotools-dev and automake build-dependencies. Use dh-autoreconf
    instead.
  * Add longtitle and icon entry to menu file. Convert numptyphysics.png to
    numptypysics.xpm at build time and add the resulting xpm icon to the clean
    file. Install xpm icon to /usr/share/pixmaps. (Closes: #737979)
  * wrap-and-sort -sa.
  * Bump compat level to 9 and require debhelper >= 9 for automatic hardening
    build flags.
  * Add keywords to desktop file and update desktop-file.patch.

 -- Markus Koschany <apo@gambaru.de>  Fri, 28 Feb 2014 15:04:33 +0100

numptyphysics (0.2+svn157-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream svn commit. (Closes: #732336)
  * debian/changelog:
   - Fix unversioned-copyright-format-uri lintian pedantic warning;
   - Fix obsolete-field-in-dep5-copyright format-specification lintian warning;
   - Fix ambiguous-paragraph-in-dep5-copyright lintian warning;
   - Fix comma-separated-files-in-dep5-copyright lintian warning.
  * debian/control: Bump Standard-Version to 3.9.5, no changes required.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sat, 28 Dec 2013 11:41:37 +0100

numptyphysics (0.2+svn156-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - Add "-fi" option to autoreconf. (Closes: #725546)

 -- Hideki Yamane <henrich@debian.org>  Thu, 17 Oct 2013 12:09:55 +0900

numptyphysics (0.2+svn156-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch (missing include).
    (Closes: #667302)

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 May 2012 00:17:52 +0200

=== debian/control ===
Source: numptyphysics
Section: games
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 imagemagick,
 libfontconfig1-dev,
 libsdl-image1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 pkg-config
Build-Conflicts:
 autoconf2.13,
 automake1.4
Standards-Version: 4.4.1
Homepage: http://numptyphysics.garage.maemo.org/

Package: numptyphysics
Architecture: any
Depends:
 fonts-femkeklaver,
 ${misc:Depends},
 ${shlibs:Depends}
Description: crayon based physics puzzle game
 Numpty Physics is a drawing puzzle game in the spirit (and style?) of
 Crayon Physics using the same excellent Box2D engine. It melds cute
 schoolbook-style graphics with a kind of realistic physics engine.
 .
 It includes a built-in editor so that you may build (and submit) your
 own levels.

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,18 @@
 
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	autoreconf
 	dh_auto_configure -- --bindir=\$${prefix}/games
+
+override_dh_auto_build:
+	convert -monitor -resize 32x32 data/icon64/numptyphysics.png numptyphysics.xpm
+	dh_auto_build
+
+override_dh_install:
+	dh_install
+	dh_install numptyphysics.xpm usr/share/pixmaps
 
 #override_dh_installchangelogs:
 #	dh_installchangelogs NEWS

## numptyphysics 0.3.0.4

=== debian/changelog ===
numptyphysics (0.3.0.4) unstable; urgency=low
	
  * action replay
  * updated physics engine
  * supports different screen sizes

 -- Tim Edmonds <tmedmonds@gmail.com>  Thu, 6 Nov 2008 15:48:31 +0000

numptyphysics (0.2) unstable; urgency=low
	
  * improved editor
  * more levels
  * web catalog
  * mimetype/hildon integration
  * bug fixes  

 -- Tim Edmonds <tmedmonds@gmail.com>  Thu, 3 Apr 2008 15:48:31 +0000

numptyphysics (0.1) unstable; urgency=low

  * Initial Release

 -- Tim Edmonds <tmedmonds@gmail.com>  Thu, 13 Mar 2008 15:48:31 +0000

=== debian/control ===
Source: numptyphysics
Section: user/games
Priority: optional
Maintainer: Tim Edmonds <tmedmonds@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, 
  libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, zlib1g-dev
  ,libhildonfm2-dev, libhildon1-dev
  ,libhildonmime-dev, libgtk2.0-dev, osso-af-settings
Standards-Version: 3.7.2

Package: numptyphysics
Architecture: any
Depends: ${shlibs:Depends}
Description: crayon based physics puzzle game
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGP
 C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAA
 ZAAAAGQBeJH1SwAABfFJREFUSMdVlk3Ib1UVxn/rY5/zfz/ue+2aihERZJlY
 dAv6GiRoo8gMGhQOmtWkCMwoQgeFTaxmNYkmFWiBhUIfkOEk0UIcZAPjSlla
 V7lq99Z9r+/7/5+z916rwfnfC53ZGey913qeZz3rkX+++HyWcYBUyERVaa3h
 bkTvIKCqiAjRA1cnpzN4f5q2uoPUA9abY8hkHIflDnMigsxAzVEz1N0wUVQF
 dyczcXdUjd29XVSVzKT3jorQ2sSq/ozV/HOESoowjiOlFKJ3IjqtVUQVtmfJ
 RKN1emsQyTzPtNaICESEeZ6ptQJAQiJYP8NO/SXBAa0P1HlNrTORQe8BaiBK
 XC5OlXna4ADZgx4V80JEoKq423KxGbVWzBVVZ1z/Fs1z2HALYnsUOimC6gJR
 JvRtZ6bLfwIuAimJmgKJmeCuiEDGwk8ZByISzYuUfI5u7wTbo6x2gLwCbWsd
 N2McnN4VVQMBc106MjPUDDP/P04iElUBEcAo9fdkTjS/kdA3QUJk0Lbwmhki
 MM/zlu8geqfWipsZvXcSYRwXtQCICKU4rTXMChb/wY8fZho/TYm/Qj9HZKIi
 lFKApXuIpROEiL7whqDROyKyxTa2nSyP9R5kQgQwPUPWV1jLR2h+M9b/heQF
 EEVNMXdElu7dC6CYFbwUVqsd1MpIGfZQGxBzUpyWQmCELILIqPj0GBt5Ly32
 mbgZzfNYf2kRZATkUhQs3JjblS7FBPdhIFJRBFLIVADa9AoaFxaJ8hKl/pl6
 8j5Wvg9xPSFvROa/wHAaL0bvSQQEsYVPyBSiN9wd9+LUOQlA4iK6eZZVe5Kh
 PwWxJhM8z1LH22E8jQGNFZvhY6ymhwhbI34SiV167pLdERtBdnDfIexaele8
 1Y625xiPfsrAC9BfI/wdTMOdTHENxdfsHX0L9m4lcaACQe5/hpRz+PwEMm+w
 OELiCGjAAPFvRIz1wf00uw2fNhNjO8s4PULb+QRHO/eBXUcyLPzoRWa7m/DT
 CMv0F19UNu1/GZHAFDIDSHo7Zjh+EKt/Ila30P0mVMDNYOZDHA73stceoZUV
 mUIpSWaQ+gbyxJ1Eq2S2rR0l5kbrBgz0XFQraiQzvvkN88E95N7taD9moKMi
 gqgT+x8n/Qb2ph8S/RiwK45e52MiKq3NZHaSJHLxw4X0AEkyOsPxT8jhXfTx
 w7R6id4rrTW01k6tjWSHzd4XKHKOU/NX2a0PYPVpejsiI4hoZAS5XSW9JSoG
 KCCYNHx+grJ5lHn3syQ71GlNa3VxjJdfPpsiQnFH1Ml+yGr+BWV6DG1/4/DE
 j+h2I9FnhmFAVBEtZIKZLsOdrzNeuh+b/sh88HVy5zbAmKf14jJqaCmFUgpl
 GBBJ0H3m3c+z2f0iaddRhgPMHC+FRFBVrD/PavMAlq8hosAuEpcIv4lYfZRM
 IzMxH/BhpAwjugzTsvCAZXH1hs9PkeVtyPDWhZft5Et7ifG/X0HXjzIcfgdv
 zyJamMc7kH6Wtn6RyEREEBHMFmtSv+xR209V0Vyj/R90ezut25Z0Q1Sxowdp
 8haOD75Hl1Po4Q/IfkQbPgh6Fat4kuLD9oxSayP6vKjuslsvyk3QFd1vROoZ
 ol/c+ldh3DyMx9/pV30N9VO0g7vQcpKd1+9lrL+m69Xo5nFavbT1PRCSzfoQ
 X/bfItfF3ZVMpQ63Mlz6FRYv0+VadP0HhvWPWe9/k5A34wbIPn3/c4yvfgo/
 eoiUFaC0fAHs3RAdc/DYxadpvrLs1HUbMALkGiAo8+PsTL+js8d88hvg70E1
 l1qzkeUG5qu/Tzl/F5KH1BNfQvwakgQBAtwLehmuiGSznmi1YaqoHxDDByib
 hxE7wWb/HiZ9HyGGmRERRI9lkIdbqKe+DWLEcBrsejI6mbm1JpDz51/LyweX
 bWroNlQ4r2LtWWJ8Pz0PqG2DmVF8m9/Uti6RmDTKhbtB9mhXf3eb6/q2oIZc
 uHAhFyku0SBikWbvHVHHfUBlCYO9VxCQBQjcHLUlcIo4Jc7A9Ayx+0l6DNRW
 l4RD8j9OVn/MOMzvhAAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif

#maemo
ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	CPPFLAGS += -fomit-frame-pointer
	#internal compiler error under maemo scratchbox
        #CPPFLAGS += -frename-registers
	CPPFLAGS += -ffast-math
	CPPFLAGS += -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp 
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CPPFLAGS="$(CPPFLAGS)" ./configure --prefix=/usr

configure:
	./autogen.sh

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## numptyphysics 0.3.0.5

=== debian/changelog ===
numptyphysics (0.3.0.5) unstable; urgency=low
	
  * action replay
  * updated physics engine
  * supports different screen sizes

 -- Tim Edmonds <tmedmonds@gmail.com>  Thu, 6 Nov 2008 15:48:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Tim Edmonds <tmedmonds@gmail.com>
 Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, 
   libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, zlib1g-dev
-  ,libhildonfm2-dev, libhildon1-dev
-  ,libhildonmime-dev, libgtk2.0-dev, osso-af-settings
+#  ,libhildonfm2-dev, libhildon1-dev
+#  ,libhildonmime-dev, libgtk2.0-dev, osso-af-settings
 Standards-Version: 3.7.2
 
 Package: numptyphysics

## numptyphysics 0.3.0.8

=== debian/changelog ===
numptyphysics (0.3.0.8) unstable; urgency=low
	
  * action replay
  * updated physics engine
  * supports different screen sizes
  * menus

 -- Tim Edmonds <tmedmonds@gmail.com>  Thu, 16 Jan 2008 15:48:31 +0000

=== debian/control ===
Source: numptyphysics
Section: user/games
Priority: optional
Maintainer: Tim Edmonds <tmedmonds@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, 
  libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, zlib1g-dev
  ,libhildon1-dev
  ,libhildonmime-dev, libgtk2.0-dev, osso-af-settings
Standards-Version: 3.7.2

Package: numptyphysics
Architecture: any
Depends: ${shlibs:Depends}
Description: crayon based physics puzzle game
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGPC/xh
  BQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAA
  OpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqc
  GAAAAAl2cEFnAAAAMAAAADAAzu6MVwAAGHNJREFUaN61mHmQXVd9539nuet7777X
  7/V7vam71ZK6pda+WLKRrdiWDRYQDDgEbAzYZMr2TIptKhkyBYTJTE0lDJAigCHJ
  ENvsEAImxngFIlk2XmRtlrW4JXW3elFvr9/+7nqW3/yBweMCY8ZkvlW36v5x7q3v
  5/x+55zf75BWs5prhaJAOW+6BvPn55YDL5sGy3GBUgqtdgsoI5DLZgEBIW278Eu1
  22342lfuhnfefBMAJYQQANdxIQoD0KjRdlKgFBKtFFQqZaCUAGMUCoUCJkkC+Xwn
  AAAkCUIQNAAAiGu5jHEKQktNCdWGQWFpKYKurjT8JpFGq5mK4wQMTjUBgu1WElk2
  B8MiQAmBOIkp5yYwZqCUEimlkPOyAADg+z7Yjg21SpUkUjBuGKaSEm3LFoQQRSil
  ruOkOOcpFMhAAWipBAIGSEAolIgENeVUISKgAitUYZdt2LZruw2pRC2O47haraLn
  eZDLdfwaACeEaNSSakU154bsW1GCIIhAyggIIYQRwxCx5GBAzJkplZK/+lgpBYEf
  ADcMAEZRa41SStCGooSAzhjZ1I/O3L/1YvviVkBMSyUkBVrbXNw0vzK7MkpbaZk2
  0w2LWnUgRAlMil98+gs7JuoTpWuHrp19++gNxxzDOu9lMwElgIgIhJCXA6DGxLJs
  RglKypkOkzJoTIOUCgAAKOVMK0GZTSjqhFFKdK3eRgIKPM8DAIBWu4EGMVUQRbHr
  OpQQggQQOeXGsYWjQ/985p+v3FjcKNJmmnDCK6crZ1a1kqbnGi5lhJUlymWTmsxg
  ZuHY4rH8rp6d6l/H7iuMV8czt2+9XRbswrmfPf508gd7tv96BBBRmYarGGUAgMBo
  CliKgg8SpJRAKCSGwbhIEicRCbEdNwAUCRCASqUMhUIRgjCBUmcnBFGsgVA0bBeD
  Zg3AwehNq98488zcM1OrcqvIjp4d5u7e3eenG1ONJ2af6GjEDaMt2hEqZAjY2Ywb
  1nWr3nD6I5d+ZOLI3OG+vzv0+ZX7p/aP3rzlPYtX772kIhOFYdQGx35pPZCX0kHA
  7OwsFAoFQERCKSFSIqGUEpHEVGlpaVTcNOyIMZYgomaMoNYInvfy3KzXa8A5A4KU
  oVbFo0vHd91z4quXSS3N0c7Rqbeve9vCutxIEwzaBkraOlE6EmE60QmkLW9Bo6yZ
  zOr58CMfvgIBzf951f94yrMy55pBM9BEq5zXCc1mHbLZjpcAKpUyEEJAKcU0amJw
  A8IwcizTVpTRiDFKANAIw4gTQtC0LMEok5lMRgdBAKlU6mUQzWYLTDcNfn2Zp51M
  fjmo9Cc66fzGqW/0Pbf4XF/BzhsWt+J9a/Yt7O7dvcjBaLqWW6WctgAhVkLqs7Wx
  ob8/+g8butJd4tbNt1zoTJWmCcASoRglfhkNO/dygF/MdsKEFGhaNiSJ4IwyzZgh
  TNsEmSRcCGErKU0A1JZt+xnPE3EUgffizvRLRVEElfZJyKaGAJRJbe5w0GBX4+rA
  j87df+mD5x/cc7L8fH9fps8fyY9UAaGqUC1SQuOslQ3/cPWbz7+u/7Lp44vP5R4Y
  f3B0sj7RM5gdLH9o5wcP5+2O8VBHAWhEUq0sEUoIKCURKAdEIBqRSKWokpo6tqMq
  1WW1oq8L/CCijHJDK2kkIkaDG5Gbzqg4CqFQKMIrablchkJnJywuLbBSppifbF3Y
  9pmn/3ZnwcmnMmY6rEY10U5aMlEJGMQo+iLobCbNyl9e/vFHtvdccmqhvVC879y/
  7jhZPjXUm+5euHXz+w70eCvOAyeCEwJMSkEQUTWbVe30DKGT+IAIAAwMpZQslbrB
  dTMQqgzEQU07Bo8Zo5pQqpMoBErpK5qvVJYgn++ESm2Jdnmd6UMXDw3eefTL2a1d
  W45/8JIPThmW1QQKGggQlGhFUViaa81t+6uf//cdB2YObNk+eMlUxkxP3XHJfwwe
  v3CAfvKxv9pwRe/liz1e/3y9VmnwRAgKAIQzrnLZAkBUBct2UApA07YjCUoLJcnM
  RA0wPmBz02YivSWybIcCAHDbUYj4G803my1QOoZmu0Ec6qaPL5zY8PmjX1y/o2tH
  +U+33XEyEdF8tVUWBCgYlgkGN4iWONef6RNpllrzo7P3b3V5qnr71tsOijiu9KZ6
  J3rSPZuOLB5dvXvw8mOO5bYoAEXDsBQ3TCBME9QE2u2IGoaBpskUKE2CyKYMny7l
  6V03pOS9e5VKnCCMbKmUCYAEUQMAACK+7OGcQNv3wWEObSSNrm+e/vbO7nR36ZbN
  773IGV9UFBPXSWNXdx/mO4ooEqmFEJFpOpViqrNGgXY/eP7Bq/ZP7b/KMMyh1fkR
  sqG4Pjy2dDzlC981qUG4lIoTQlBrqYUUhBKeSKk5AFGMcWBmEaUPRlb/22Umnr41
  JqlH/MTbn01rSQjVURT9asYfeeQR0FqD53k0nU5r27Yh46UgFjHxLM+shMuZnN2R
  FOzORqCamgIYGrX22w2FiNBqhmAaJkEpjXl/QW3v3j61ItPXuvPIlzZ8f+wHPd1u
  Nxmvj7Net2faM7xmqALNCWgniiLJONVSCsUIxTiJBOcGaK1J1gOMa0dtSz+1i2Kt
  jzK2WFH5YDAHKggaEEW/qI8AAH76059CHMcwOjqKIyMjoJSCSy/dCZpq7RlZ3zO9
  oC1auUAF2SRW2TAK0TRNnxAaKaWQW0BSpu0u+At9vgicdYW1xz+w8wNn826+++mL
  T/eMN8a94dzqyfdvuOVwKMJlhUpzSkAwSgQB4JRSBUQR0wBkFHkcBUY78ZRHD/RQ
  Chs19GjKU/WebsDm4guY71sH9cYUDA6sBACAz372s78Mxq8WRbPVBM45AoWwL7Oi
  fWzp2MBic7GUM7JLlNKYMYaICKZpgkc9vugv9v3D8X/cqFEl+1Zfd4JRevp9m29h
  7938vlylXc5IKRodZm4+wiT6+j1fA8opCwzGBaUs4tyQnBnEslJMa5WKkzhPxWyJ
  Jie3KbrClmztYkKGGW+Dg3aBXH/TOki7Lvw2IQLYtoOgIdhR2jFb9svxudp4sSPb
  CalUqqm1TmKhod32GUVILzQX1hycfnzVnr4ryhtKmy/4id9ohbVlP2qMZ63sibzb
  eSHWceAvVfG2224HrilB0zCAEIZhlAClhABoJoXknNnMUIfXoG7sEsaen3NxtF/K
  oF+Laoa7PP7qnU8IBPytAEpK8NttsJkdrcmvGb925bWrHpj48YrubFf/5tKmSpO0
  aJal0ozSzoutmRVHlo6si1UstnRtvgCILZEkhBAgnHMdyUB52cLL/k+V1ERrTRGR
  U0oNAIML5TKBXqxJNmLi+Gqt0Y1w3RNA6LhNJvJEVe0glAahnCyXyyDlK0O47i8a
  o4QkcjA/uHDD8A1Ts43ZrsenD64HjTnP9EoHpx/b9ec/+y9v+diBT+x9dv6w9/rB
  a86vz6+brzaXKCFAhRCQJAkgIkxPjb+8GqWUOVGskZopIcAiXM54NDraaatFl1BY
  YeLzI4rmD0W47TkX7/U4zu0xyEyvoL3NgDriyVZO/d2/AMJbEKELANoA8N2Xanbb
  tiEMQxBCIKQgZpxFjPGMQfggIKz6ycTDmW+c+s4mAsRZ4w1ffNfoOyZsas5ppRpS
  KWISE17sBYiUElIpD5u1JiBoyHbkgCcy6tCiZablU4Ytjw1StbCRYnkAMOkmujVE
  Acdj+7Zv+7Srkcb1Z5ha3O0k//KelH7wDAS18+/Iy+iP8ww+c6kLSDN+onvPFr4D
  tWcPPwy7du4DAHixCflFf8E4BQSdnqxf2Hr3c3erp+eeWdpYGJ26fdsdky46cwkk
  VYIqiWRETW4AKC0ZZ6g1EgDgAEorHSvbMaBeKwNnEKEnP3e5Kc5dhcTTmhQrkm4Z
  V7Rj1lTHCCHRqcTcU+42GnY294GmaMCTkBy5kqrFIdStPMWYALEHqKwOAPqnCdv8
  jwSwdjH/6IuncRMeffRR2H3FFSRs+ZbFLM8XQce3Tn9n8OqBq2rvXf/uE7v7Xves
  ZTmLraCeXHjhFPYNjYCSAgzLoowzQK0wCROkBgeNmnDOmZRME0KQo1ZNIqsciO5K
  7L0/jI19j0q6to666Uox8LhB47pl5ev1qFb6389/eeu6/Fq8dsVbv4pqsqLEkkaa
  T5ni0PWGeCrQmPlRAsMzWCEwJQ5BLBII2j7suXIPMcF0QxmuOXDhwNZIRN0D6QF3
  c3ET31ra5qPU9e/at8QjY7cRN5UixZ5erCwvAgCARkQlJTCDAlDQKDVljHIA0IQQ
  YP/1439jxLpY5TiRIqqmfDl86myyup63owjJmmVlbl92uNSIOHDPiXve+OzC4eGr
  V/7h+U5v6zmx8K06Wr2mmfxkC6JxdEJ/5aeDKys+ede98LkP9UEUxYAMSc7J2s24
  ufrOI3de9fDEI1tnW7NdoQrdcrCcLLQW/H6jp7axsa/ZiupEI7AkDrVpWIQQQrXS
  aNkOUMqAMQqcG0gpQ0IoIhKgMq71g3NJJM1rf8Kg6nbgV961i33kmrR/d6/Nl4Rr
  +lJiojvdQlBwC3imcmbobG1siAGkIH9t3hY/eR3FRiLMPUc3hLn4wvzV0PhOE7TW
  4LdbJMPT7kJjYfj+8/fvOTB9oP9Dl3xw7L0b33PEYub4GwaumV0MF3N3j31917P1
  46N9pQHbsm0ltURETQkiV0rQKPSZH/qQTnsgpYQgCLUQaQjDGLhSChhEUqb+eAyx
  7tvq0DVUHr6R49FTbTF8N0utDNLczQJQbzS/jj8++7gz155Po17y7PbfXgFANkt+
  yb3z6qZZ6FkJtrLA8zxo+01Wynbl2kl75Jsnv7n7h2M/HHjDqtefvWZo74lA+qsH
  swNnrx958+msmRNfOv73G747+YPLN/RsqK/ftLNZLc8BACChBBGRaq01ZQyazQYx
  TRMMA7Ejb/5iG3Wc1IzSSigdimfsj47txGO1dPQFm8oZTUiWLLYv9Hxl7L5LPdPZ
  stQ8dMnGjlx6tLDKI8zrojQ1rGgXsMJftNbaXgbJW0Ia+iKMfEzzTO6B8Qd2/uCF
  H1wx3ZwuvHX4radu23bbQYlydkNxw+x/2/NJt5TpKufMjkzJKa0/pU4Pt2XQDSFc
  AADJGNeMUWnbDgqlgDFGCCGEUor/d/nOTcvxERGz2Rxg6/OwWC4KqmYF4d3nC91X
  BrNzx7v3Tx8YAHFx1KSxVxWUfv7Qp3etyW8v7i2Nrhiyps2nznz9HYLmpzYVN1wY
  LY3Om8wM60F1xQ/H7r3EpKZ747obj103dN2TKZYaT3QYD+VXtygQ4gd1DYSZEhVQ
  Qh3GDRtAMCGlNFMOqEhrDQCMceCcE60VEkJedmpyz8siAMBDDz0EEPwYKBoMAU0N
  rlFug1qRGln63OU3T0D8TFcNNr4wFdodXz525+jxpe+uZXIHyfeUwwOT3+x6bLFd
  Ljgdc9u6t5Uv7dkVzDRncrGKix+94qNH1njDByIVzVT9amQwAwEDDajBMC0CBIFQ
  AoRS4IZJgDHiuAxQIsQiAq0VWJbzqwJRSgkd+dJLAL982bdvH5SnWyCcy5sYPDpF
  dHmY+E8P0uRotk/v7wJ7xf6ejred3m5m1z45d9haqt6Xubn3fG+35ZPbRjYf3bRi
  93NTzRn27Pyzqx8Zf2Qg0YlTcArt75/5/nMf2/3xlohF3JHNoRQSABCETACAAhAF
  BAgQQoESCkApZDIlqNdr0NW9Al5NvwIghMDsxQlY0dMbt8f5RYrh9W70tQGiLrY0
  7TwSk41POTSfPL/43LozlbHwxqHLzqxyjzGFwtpYGHhw8+r3P0y5lTk4e/D1n3js
  L729g3sbP5v6NzFZv6CBAzFtk0Rx/GL/jGA7aSJFQoExBoAUUBMATUAkZHLuAuTz
  Ha9q/mUAAABhgICzBJrsL5aYOrnM1Zgr6PD+Jnnbftr9xkYHQO8DEw+sbsR1sq7v
  Yw8L4xtnIT62SbCRY/PN1IU1ndBzvnY+6Ep1T7x/062nu9PdfsHKT8k48aVSqJQC
  QgFsy4Yo9GkYBiaX1PQD3yBIDBTaaYVts7u7KxJCYqV6EQr5vt8d4FOf+mv4p386
  BfXJxZm86X6JgNBNesPFnr7tcRyEPCE0M1YbSw3lVs2tK25/XibVk1zN+UydpZ6V
  WHP1xa6D04+XNnSun+tJ9Tx5x/Y7FqQQUStuBQBMp1IOSClBxIkBAAYg4Vrr1IX2
  VC7WsWdQM48ALmWklU0VsFFb+n+LwF133QV33XUXrPs0xjq5+ry7DuBPB2N4Tz4A
  i5lYDpaCjcWNJ4dyQ37atGfasNMn9uySUiLKO2B/d2z/Gj/xc/tWXXfGYMZcvV2r
  WVZKO04WlIpBCAEAwKSQBiEourr7wvHJ014jqg9X/Vr/N09/e+T9W2491Eu6ynHc
  1oiv6v/lAL/UCx99qRy+sdkEIRBiHeuMlV36s8v/7EkElO2gFdTmZlVH900XGeWM
  MbL66blnVhbtzmidt3YmEH4QBoE2DQ4iSSCOYwBCwDAMBCAKkcmbf/hOvH3gPwzG
  Ml6zvmOtd6x8fPgmFZVA0/FwuSppLv2qAPTVBnieB0mSwEM/egApI5EfBfV24Lds
  x1GZzkEoLy+BRQ3ndPXM0HJY6R7Njy6ZxFhSqOTC/EWIopCEYfDi3RMDSqlmjIp7
  vvBJ/Nbe7xkNv7aqGbeg31uxYDDTDFRYQNCGk8sCQ/L7AwAAFItFePct7wHHdsBL
  ZzDnZcEyTCCEQtrNEW5aqYcnHh4yKHfeNPLGSdOxylqjWj28llDGgVKKnDM8e3YS
  RNAGVKg3jWwBsMCTHC0NevKygcseIwDtx6Yf6yHMchPQRMGr59DvBPBKIgTAsg0A
  DeZMc9Y1qdnuMDvmhZIhIDJEbRoGNymlTGtka0cGOaGMUaLIjn3XU0CZW8JK0uF2
  zHY6nacSLdphEuW0iJ1ECRIEbcDKLJz7LYvhNQMslxdfvIFTVEuRCpLAZpQt5918
  I5GxQQgxAVEyygQQoggAAgJybuiJc+cQhbTq7UrXscXjmcHs4MLq3KpoJD+sxuvj
  He2kVcpQJ1NIdViBlaI9QQPardq/L4BtOxAEAWTdrDnVmOr1RdBfSpVSFKFDC1U0
  qOGkMY0pmcV8uggdTlE3lyuqtVTh+VKxxIAMPDH1xJZKUMle2XfFfCBCMducdSxm
  rTqx9PzeqfrUVfPN+fUMaZYAUsuiUK9Xfs0Hfw3eAQBAIwC1PKCGwU5UTmZPlE/0
  psxU/73n79PrsiOTuqkaQAC1kh4QwEajDoopnXJSySpzdUKAWk8vHRq1me3vLG4P
  v3jkS9vaSbt3KSjbn3rmM1emjNSqotN57N0b3hXtHtwTLAWV2PoN8/2aAZRS0FPM
  ASQAQ7mVKmfn5FRjqvtTT/2vq0tOcYtFrJAzw0at0wkmOZS6EOpIaaLn3jS0b9zi
  lnihfi69u/d1J+8+9XXvnpNf22Vxa9Wa3Orl92+69dhEY3Ky5HbOdKd6/DgJdSlb
  glb719PoNQNQCpAkEXDJ+cX6LDOoMfehHR9of/rQZ3O7endWUpCuASXSYMy9b/z+
  jRSJ2JTf0P7x9EMbH5//ecpi9uSb17ypYnKr+InHPrlmR8/2GgE65Qu/vbN316G3
  j7z9KaBYEyB9CVpKvw2GYfz7AQAASKWJlrGyqDV//fBbjlDgQ5zwjhvWvv3QSnfl
  WSAkBK3zJjFmHps+uPds83w/EGA7e3Yuv2PtO565//z9vQ9MPOi8c+0fnf1PW++Y
  +t4L39/wrTPfWfXk/JPkxk3vrisQdYu7yJUGztlv9PB7RIADEIYJBOFl/ZeNXTlw
  Ff71M38z0J3qbnSY+XORisaQoNCopm9Z/96ZXrebXPTn9nYudrrfe+H7HY24MfR8
  +fnGNf1XP/fnO//zM4ZhNjaWNlTXLa1tnK2cbQECCBlCHIeQSmdf0cdrBpBSAkgJ
  tp1SUdtP5oJJ51T5VG60MHqx6BSXIvD9KIrRNMywGtaCP+jf820i8ajL3A+fbZzL
  bSluXv6Tzbfs73dXnNUEl+pRA69dec3hnT07JyMVhX7UDCgDxFcpiF7zNtrR0QFC
  JBAELbC4aU23p7sqUdXaVtpaTZSICGGoFGqlkNmWQ6lrzAmixkYLaw92OoXztmnN
  ru3cMJagmA9UmKBWqu7Xmg6zL3RleuaiuB1XKstAX8Xh73USKyWh3WyAYznWycqp
  zqzl8eH8mqpClWiNYFkWEkKQMc5Ro2umbH+kOPJkt9s1c3D68SwQ7TJKwTVt4NxA
  zrmWKEUsImkYNvYPrAY3lfv/B2AaHNyUDQDAlFYpRhmjlEeO7UZSCp0vFIFzrihl
  ISIGSKCesbypFZm+heWwkp+tT5cc7hhOKguu66JlOYoxQx8+/CjYtvs7efg/9YdC
  sCjnBTwAAAAldEVYdGNyZWF0ZS1kYXRlADIwMDktMTEtMjJUMTc6NTc6NDkrMDA6
  MDCvZvmYAAAAJXRFWHRtb2RpZnktZGF0ZQAyMDA5LTExLTIyVDE3OjU3OjQ5KzAw
  OjAw8NePrAAAAABJRU5ErkJggg==

## numptyphysics 0.3.10

=== external/Box2D/Source/Makefile ===
TARGETS= Gen/float/libbox2d.a Gen/fixed/libbox2d.a

RANLIB ?= ranlib

ifdef DEVKITPRO
TARGETS += Gen/nds-float/lib/libbox2d.a Gen/nds-fixed/lib/libbox2d.a
endif

CXXFLAGS=	-g -O2

SOURCES = \
	./Dynamics/b2Body.cpp \
	./Dynamics/b2Island.cpp \
	./Dynamics/b2World.cpp \
	./Dynamics/b2ContactManager.cpp \
	./Dynamics/Contacts/b2Contact.cpp \
	./Dynamics/Contacts/b2PolyContact.cpp \
	./Dynamics/Contacts/b2CircleContact.cpp \
	./Dynamics/Contacts/b2PolyAndCircleContact.cpp \
	./Dynamics/Contacts/b2ContactSolver.cpp \
	./Dynamics/b2WorldCallbacks.cpp \
	./Dynamics/Joints/b2MouseJoint.cpp \
	./Dynamics/Joints/b2PulleyJoint.cpp \
	./Dynamics/Joints/b2Joint.cpp \
	./Dynamics/Joints/b2RevoluteJoint.cpp \
	./Dynamics/Joints/b2PrismaticJoint.cpp \
	./Dynamics/Joints/b2DistanceJoint.cpp \
	./Dynamics/Joints/b2GearJoint.cpp \
	./Common/b2StackAllocator.cpp \
	./Common/b2Math.cpp \
	./Common/b2BlockAllocator.cpp \
	./Common/b2Settings.cpp \
	./Collision/b2Collision.cpp \
	./Collision/b2Distance.cpp \
	./Collision/Shapes/b2Shape.cpp \
	./Collision/Shapes/b2CircleShape.cpp \
	./Collision/Shapes/b2PolygonShape.cpp \
	./Collision/b2TimeOfImpact.cpp \
	./Collision/b2PairManager.cpp \
	./Collision/b2CollidePoly.cpp \
	./Collision/b2CollideCircle.cpp \
	./Collision/b2BroadPhase.cpp 
#	./Contrib/b2Polygon.cpp \
#	./Contrib/b2Triangle.cpp


ifneq ($(INCLUDE_DEPENDENCIES),yes)

all:	
	@make --no-print-directory INCLUDE_DEPENDENCIES=yes $(TARGETS)

.PHONY:	clean
clean:
	rm -rf Gen

else

-include $(addprefix Gen/float/,$(SOURCES:.cpp=.d))
-include $(addprefix Gen/fixed/,$(SOURCES:.cpp=.d))

ifdef DEVKITPRO
-include $(addprefix Gen/nds-fixed/,$(SOURCES:.cpp=.d))
-include $(addprefix Gen/nds-float/,$(SOURCES:.cpp=.d))
endif

endif

Gen/float/%.o:		%.cpp
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) -c -o $@ $<


Gen/float/libbox2d.a:	$(addprefix Gen/float/,$(SOURCES:.cpp=.o))
	$(AR) cr $@ $^
	$(RANLIB) $@ 

Gen/float/%.d:		%.cpp
	@mkdir -p $(dir $@)
	$(CXX) -MM -MT $(@:.d=.o) $(CXXFLAGS) -o $@ $<


Gen/fixed/%.o:		%.cpp
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) -DTARGET_FLOAT32_IS_FIXED -c -o $@ $<


Gen/fixed/libbox2d.a:	$(addprefix Gen/fixed/,$(SOURCES:.cpp=.o)) 
	$(AR) cr $@ $^
	$(RANLIB) $@ 


Gen/fixed/%.d:		%.cpp
	@mkdir -p $(dir $@)
	$(CXX) -MM -MT $(@:.d=.o) $(CXXFLAGS) -DTARGET_FLOAT32_IS_FIXED -o $@ $<



NDS_COMPILE_FLAGS= -g -O2 -fomit-frame-pointer -ffast-math \
		-march=armv5te -mtune=arm946e-s -mthumb-interwork \
		-DARM9 -fno-rtti -fno-exceptions -c \
		-DTARGET_IS_NDS \
		-I$(DEVKITPRO)/libnds/include 


Gen/nds-fixed/%.o:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ $(NDS_COMPILE_FLAGS) -DTARGET_FLOAT32_IS_FIXED -o $@ $<

Gen/nds-fixed/lib/libbox2d.a:	$(addprefix Gen/nds-fixed/,$(SOURCES:.cpp=.o)) 
	@mkdir -p $(dir $@)
	arm-eabi-ar cr $@ $^
	arm-eabi-ranlib $@ 

Gen/nds-fixed/%.d:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ -MM -MT $(@:.d=.o) $(NDS_COMPILE_FLAGS) \
		-DTARGET_FLOAT32_IS_FIXED -o $@ $<



Gen/nds-float/%.o:		%.cpp
	@mkdir -p $(dir $@)
	arm-eabi-g++ $(NDS_COMPILE_FLAGS) -o $@ $<

Gen/nds-float/lib/libbox2d.a:	$(addprefix Gen/nds-float/,$(SOURCES:.cpp=.o))
	@mkdir -p $(dir $@)
	arm-eabi-ar cr $@ $^
	arm-eabi-ranlib $@ 


Gen/nds-float/%.d:		%.cpp
	@mkdir -p $(dir $@) 
	arm-eabi-g++ -MM -MT $(@:.d=.o) $(NDS_COMPILE_FLAGS) -o $@ $<

=== debian/changelog ===
numptyphysics (0.3.10-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * unvendor outdated libtinyxml2 to attempt to fix build on riscv64
  * define PATH_MAX to attempt to fix build on Hurd

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Dec 2023 21:34:31 +0100

numptyphysics (0.3.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * load in Salsa
  * New upstream version 0.3.10 (Closes: #598800, #999913, #1000316)
  * Argument handling like '--help' is still not implemented
    but at least it doesn't crash anymore, it jumps right into the game.
  * Change from DebHelper 9 -> 13, new upstream build system.
  * build with SDL2 (Closes: #1038521)
  * remove old menu file, do not generate .xpm anymore
  * set "Rules-Requires-Root: no"
  * Debian manpage has been upstreamed, remove old local copy
  * find new homepage thanks to repology.org (Closes: #1014322)
  * d/watch: upstream moved from SVN to Git
  * install into standard {/usr/|/usr/share}/games paths
  * devendor femkeklaver.ttf
  * review of copyright of external/
  * bump Standards-Version to 4.6.2, no more change required.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Dec 2023 18:33:24 +0100

numptyphysics (0.2+svn157-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * debian patch 986692_no-return-statement.patch adds return values
    to prevent segfault at startup. Thanks Bernhard Übelacker.
    Closes: #986692.

 -- Drew Parsons <dparsons@debian.org>  Sat, 08 May 2021 10:36:36 +0200

=== debian/control ===
Source: numptyphysics
Section: games
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtinyxml2-dev,
 libfontconfig-dev,
 libsdl2-image-dev,
 libsdl2-ttf-dev,
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.com/thp/numptyphysics
Vcs-Browser: https://salsa.debian.org/games-team/numptyphysics
Vcs-Git: https://salsa.debian.org/games-team/numptyphysics.git

Package: numptyphysics
Architecture: any
Depends:
 fonts-femkeklaver,
 ${misc:Depends},
 ${shlibs:Depends}
Description: crayon based physics puzzle game
 Numpty Physics is a drawing puzzle game in the spirit (and style?) of
 Crayon Physics using the same excellent Box2D engine. It melds cute
 schoolbook-style graphics with a kind of realistic physics engine.
 .
 It includes a built-in editor so that you may build (and submit) your
 own levels.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_EXPORT_BUILDTOOLS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/buildtools.mk

# game crash since today ... don't know if it's relate to hardening
#
#[    0ms] [Os.cpp:278 INFO] Got locale: "fr_BE.UTF-8", using "fr"
#[    0ms] [I18n.cpp:69 INFO] No translation file found (i18n/fr), send a pull request
#[    0ms] [Os.cpp:188] Created dir /home/tchet/.local/share/numptyphysics����[
#[  327ms] [Game.cpp:118 WARNING] Level does not exist: 0
#[  327ms] [Game.cpp:329] STATS:
#[  327ms] [Game.cpp:330] time=327ms
#[  327ms] [Game.cpp:331] strokes=0 (0 paused, 0 undone)
#[  327ms] [Os.cpp:188] Created dir /home/tchet/.local/share/numptyphysics����[/Recordings
#[  327ms] [Os.cpp:188] Created dir /home/tchet/.local/share/numptyphysics����[/Recordings/Bad Collection ID
#[  327ms] [Game.cpp:164 INFO] Saving demo of level 0 to /home/tchet/.local/share/numptyphysics����[/Recordings/Bad Collection ID/err.npdsvg
#[  327ms] [Scene.cpp:806 INFO] Saving level to /home/tchet/.local/share/numptyphysics����[/Recordings/Bad Collection ID/err.npdsvg
#[  330ms] [SDL2Renderer.cpp:99 FATAL]

#export DH_VERBOSE=1
export V=1

%:
	dh $@

override_dh_auto_install:
	DESTDIR=debian/numptyphysics PREFIX=usr make install_freedesktop

execute_after_dh_fixperms:
	chmod -x debian/numptyphysics/usr/share/games/numptyphysics/SourceSansPro-Light.ttf

=== debian/watch ===
version=4
https://gitlab.com/thp/numptyphysics/tags?sort=updated_desc archive/v?\d[\d.]+/numptyphysics-v?([\d.]+)@ARCHIVE_EXT@
